<div ng-controller="measureCampainFormController as self" ng-init="self.init('<?= $this->from ?>', <?= $this->object ? $this->object->getId() : 'null' ?>)">
    <div id="measure-campain-modal" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
            <div class="modal-header">
                        <label><?= $this->translate('campain_measure_fields_edit') ?></label>
                    </div>

                    <div class="modal-body">
                        <form name="measureCampainForm" ng-submit="self.saveMeasureCampain(); __tb.loadData();">
                                <div class="row">
                                    <div class="form-group col-xs-12">
                                        <label><?= $this->translate('measure_field_groupIndicator') ?></label>
                                        <group-indicator-select name="groupIndicator"
                                                        ng-model="self.externalProperties.indicator.groupIndicators" 
                                                        ng-disabled="true"
                                                        multiple="true"
                                                        configuration="{ service : { apiParams : { col : ['id', 'name'] } } }"
                                                        form="measureCampainForm"></indicator-select>
                                        <field-errors field="indicator" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div> 
                                <div class="row">
                                    <div class="form-group col-xs-12">
                                        <label><?= $this->translate('measure_field_indicator') ?></label>
                                        <indicator-select name="indicator"
                                                        ng-model="self.externalProperties.indicator" 
                                                        ng-disabled="true"
                                                        configuration="{ service : { apiParams : { col : ['id', 'name', 'type', 'values'] } } }"
                                                        form="measureCampainForm"></indicator-select>
                                        <field-errors field="indicator" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                                <?php if ($this->from !== 'project' && $this->module()->isActive('project')) : ?>
                                <div class="row">
                                        <div class="form-group col-xs-12">
                                            <label><?= $this->translate('measure_field_project') ?></label>
                                            <project-select name="project" required="false"
                                                            ng-model="self.externalProperties.project" ng-disabled="!self.measureCampain._rights.update"
                                                            form="measureCampainForm"></project-select>
                                            <field-errors field="project" errors="self.errors.fields"></field-errors>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <div class="row">
                                    <div class="form-group col-xs-12 col-lg-6">
                                        <label><?= $this->translate('measure_campain_field_supposed_date') ?></label>
                                        <input type="text" name="supposedDate" class="form-control" autocomplete="off" input-date input-date-mask="date" ng-model="self.measureCampain.supposedDate" ng-readonly="!self.measureCampain._rights.update" />
                                        <field-errors field="supposedDate" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-12 col-lg-6">
                                        <label><?= $this->translate('measure_field_start') ?></label>
                                        <input type="text" name="start" class="form-control" autocomplete="off" input-date input-date-mask="date" ng-model="self.externalProperties.start" ng-readonly="!self.measureCampain._rights.update" />
                                        <field-errors field="start" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <div class="form-group col-xs-12 col-lg-6">
                                        <label><?= $this->translate('measure_field_date') ?></label>
                                        <input type="text" name="date" class="form-control" autocomplete="off" input-date input-date-mask="date" ng-model="self.externalProperties.date" ng-readonly="!self.measureCampain._rights.update" />
                                        <field-errors field="date" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-12">
                                        <label><?= $this->translate('measure_field_comment') ?></label>
                                        <textarea ng-model="self.externalProperties.comment" ng-readonly="!self.measureCampain._rights.update" class="form-control"></textarea>
                                        <field-errors field="comment" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-12">
                                        <label><?= $this->translate('measure_field_source') ?></label>
                                        <textarea ng-model="self.externalProperties.source" ng-readonly="!self.measureCampain._rights.update" class="form-control"></textarea>
                                        <field-errors field="source" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-6">
                                        <label><?= $this->translate('measure_field_value_realised') ?></label>
                                        <input type="number"  class="form-control" ng-if="self.externalProperties.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FREE ?>'" ng-model="self.measureCampain.realiseMeasure.value" ng-readonly="!self.measureCampain._rights.update" />

                                        <select class="form-control" ng-if="self.externalProperties.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FIXED ?>'" ng-model="self.measureCampain.realiseMeasure.value" ng-readonly="!self.measureCampain._rights.update" ng-options="+(value.value) as value.text for value in self.externalProperties.indicator.values">
                                            <option></option>
                                        </select>

                                        <field-errors field="realiseMeasure" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <div class="form-group col-xs-6">
                                        <label><?= $this->translate('measure_field_value_target') ?></label>
                                        <input type="number"  class="form-control" ng-if="self.externalProperties.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FREE ?>'" ng-model="self.measureCampain.targetMeasure.value" ng-readonly="!self.measureCampain._rights.update" />

                                        <select class="form-control" ng-if="self.externalProperties.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FIXED ?>'" ng-model="self.measureCampain.targetMeasure.value" ng-readonly="!self.measureCampain._rights.update" ng-options="+(value.value) as value.text for value in self.externalProperties.indicator.values">
                                            <option></option>
                                        </select>

                                        <field-errors field="targetMeasure" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                                <?php if ($this->module()->isActive('map')) : ?>
                                <div class="row">
                                    <div class="col-xs-12">
                                        <fieldset>
                                            <legend><?= $this->icon('territory', 'fa-fw') ?> <?= ucfirst($this->translate('territory_entities')) ?></legend>
                                            <div class="row">
                                                <div class="form-group col-xs-12">
                                                    <territories-form-group ng-model="self.externalProperties"></territories-form-group>
                                                </div>
                                            </div>
                                        </fieldset>
                                    </div>
                                </div>
                                <?php endif; ?>
                        </form>
                        <div class="row">
                            <div class="form-group col-xs-12">
                                <label><?= $this->translate('campain_field_attachment') ?></label>
                                <attachment-module entity="Indicator\Entity\Measure" right="indicator:e:measure" primary="self.externalProperties.attachmentPrimary" />
                            </div>
                        </div>
                </div>
                <div class="modal-footer">
                    <form name="measureCampainFormActions" ng-submit="self.saveMeasureCampain(); __tb.loadData();">
                            <button class="btn btn-default" type="button" data-dismiss="modal" data-target="#measure-campain-modal">
                                <?= $this->translate('close') ?>
                            </button>
                            <button class="btn btn-submit" ng-disabled="self.loading.save" ng-if="self.measureCampain._rights.update">
                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                <?= $this->translate('save') ?>
                            </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
</div>
<?php

/** Attachments **/
$this->angular('js/src/attachment/controller/attachment.js');
$this->angular('js/src/attachment/directive/attachmentModule.js');
$this->angular('js/src/attachment/service/attachment.js');

$this->angular('js/src/campain/controller/measure/form.js');
$this->angular('js/src/campain/service/measure.js');

$this->angular('js/src/indicator/service/indicator.js');
$this->angular('js/src/indicator/service/groupindicator.js');

$this->angular('js/src/indicator/directive/indicatorSelect.js');
$this->angular('js/src/indicator/directive/groupIndicatorSelect.js');

/** Territories */
$this->angular('js/src/map/service/territory.js');
$this->angular('js/src/map/directive/territorySelect.js');
$this->angular('js/src/map/directive/territoriesFormGroup.js');

/** Projects */
$this->angular('js/src/project/service/project.js');
$this->angular('js/src/project/directive/projectSelect.js');
?>